#ifndef id73F121AEE1EB4BA0980FAC025E5CDF05
#define id73F121AEE1EB4BA0980FAC025E5CDF05

#include "doorkeeper/components/tileiterator.hpp"

namespace dkh {
	template <typename T, typename T1>
	dk::Vector<2> get_diamond_coordinates ( const dk::TileIterator<T, 2, T1>& parIterator, const dk::Vector<2>& parSize );

	template <typename T, typename T1>
	dk::Vector<2> get_half_diamond_coordinates ( const dk::TileIterator<T, 2, T1>& parIterator, const dk::Vector<2>& parSize );

	template <uint32_t D, typename T, typename T1>
	dk::Vector<D> get_square_coordinates ( const dk::TileIterator<T, D, T1>& parIterator, const dk::Vector<D>& parSize );

	template <typename T, typename T1>
	dk::Vector<2> get_hex_coordinates ( const dk::TileIterator<T, 2, T1>& parIterator, const dk::Vector<2>& parSize );
} //namespace dkh

#include "doorkeeper/implem/tilecoordinates.inl"

#endif
