#ifndef idB5DCDE44F8E148AA8DD1CBD12649EFCD
#define idB5DCDE44F8E148AA8DD1CBD12649EFCD

#include <gtest/gtest.h>
#include "doorkeeper/doorkeeper.hpp"

class asciimapsource : public ::testing::Test {
protected:
	typedef dk::Tyler<2>::coords coords2;
	typedef std::unique_ptr<dkh::AsciiMapSource> AsciiMapSourceUPtr;

	asciimapsource ( void );
	virtual ~asciimapsource ( void ) noexcept = default;
	virtual void SetUp ( void );

	static const char map_data[];
	static const dk::CoordinateScalarType tile_size;
	static const dk::CoordinateScalarType map_width;
	static const dk::CoordinateScalarType map_height;

	dk::Tyler<2> tiler;
	dk::Layer<dkh::AsciiMapSource::MapTileType, 2>* layer;
	AsciiMapSourceUPtr loader;
};

#endif
